// LMenuBar.h

#include <MenuBar.h>

class LMenuBar : public BMenuBar {
public:
				LMenuBar(
					BRect		inFrame,
					const char	*inTitle,
					uint32		inMask = B_FOLLOW_LEFT_RIGHT | B_FOLLOW_TOP,
					menu_layout	inLayout = B_ITEMS_IN_ROW,
					bool 		inFit = true);
	virtual		~LMenuBar();
	virtual void	Draw(
					BRect		inRect);
	
	inline BMenu	*&MainMenu()		{ return mMainMenu; }
	
private:
	BMenu		*mMainMenu;
	BBitmap		*mIcon;
	
	static unsigned char	sDefaultIcon[];
};